Spawn ENONET error when trying to installl some packages


#1

I installed some packages (color picker, autocomplete plus) no problem, but some other packages are not installing at all (JShinter and beautify)

I’m running git: 1.9.4 and yes, it’s in my path. I’m on a windows 7 64bit computer. Atom version is 0.120.0

I tried npm cache clean but it didn’t fix it.

I also tried downloading the package from github and putting it into the packages folder but it didn’t seam to be running. The settings section was empty.

Here’s the full log:

npm http GET https://registry.npmjs.org/jshint
npm http GET https://registry.npmjs.org/rcfinder
npm http GET https://registry.npmjs.org/emissary
npm http 304 https://registry.npmjs.org/jshint
npm http 304 https://registry.npmjs.org/emissary
npm http 304 https://registry.npmjs.org/rcfinder
npm http GET https://registry.npmjs.org/underscore-plus
npm http GET https://registry.npmjs.org/lodash
npm http GET https://registry.npmjs.org/mixto
npm http GET https://registry.npmjs.org/property-accessors
npm WARN `git config --get remote.origin.url` returned wrong result (https://github.com/Benvie/harmony-collections.git) 
npm ERR! git clone https://github.com/Benvie/harmony-collections.git 
npm ERR! Error: ENOENT, lstat 'C:\Users\xxxxxx\AppData\Local\Temp\apm-install-dir-114711-6224-1qkzlcc\node_modules\atom-jshinter\node_modules\jshint\src\reporters\non_error.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "d:\\Program Files\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "d:\\Program Files\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "d:\\Program Files\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\xxxxxx\\.atom\\.apmrc" "install" "C:\\Users\\xxxxxx\\.atom\\.node-gyp\\.atom\\.apm\\atom-jshinter\\0.1.3\\package.tgz" "--target=0.11.10" "--arch=ia32"
npm ERR! cwd C:\Users\xxxxxx\AppData\Local\Temp\apm-install-dir-114711-6224-1qkzlcc
npm ERR! node -v v0.10.26
npm ERR! npm -v 1.4.4
npm ERR! path C:\Users\xxxxxx\AppData\Local\Temp\apm-install-dir-114711-6224-1qkzlcc\node_modules\atom-jshinter\node_modules\jshint\src\reporters\non_error.js
npm ERR! fstream_path C:\Users\xxxxxx\AppData\Local\Temp\apm-install-dir-114711-6224-1qkzlcc\node_modules\atom-jshinter\node_modules\jshint\src\reporters\non_error.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack d:\Program Files\Atom\resources\app\apm\node_modules\atom-package-manager\node_modules\npm\node_modules\fstream\lib\writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm http 304 https://registry.npmjs.org/lodash
npm http 304 https://registry.npmjs.org/property-accessors
npm http 304 https://registry.npmjs.org/mixto
npm ERR! Error: spawn ENOENT
npm ERR!     at errnoException (child_process.js:988:11)
npm ERR!     at Process.ChildProcess._handle.onexit (child_process.js:779:34)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Windows_NT 6.1.7601
npm ERR! command "d:\\Program Files\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "d:\\Program Files\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "d:\\Program Files\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\xxxxxx\\.atom\\.apmrc" "install" "C:\\Users\\xxxxxx\\.atom\\.node-gyp\\.atom\\.apm\\atom-jshinter\\0.1.3\\package.tgz" "--target=0.11.10" "--arch=ia32"
npm ERR! cwd C:\Users\xxxxxx\AppData\Local\Temp\apm-install-dir-114711-6224-1qkzlcc
npm ERR! node -v v0.10.26
npm ERR! npm -v 1.4.4
npm ERR! syscall spawn
npm ERR! code ENOENT
npm ERR! errno ENOENT
npm http 304 https://registry.npmjs.org/underscore-plus

any help will be greatly appreciated


#2

I never know what to make of those npm errors. Some of the worst logging I have seen.

But as far as I know ENOENT tends to refer to a problem with a path.
Is your username somehow weird, containing bad characters, or too many maybe…?

I am able to install Beautify without a problem btw:


Win8, v121.


#3

thanks for your response. My username is just six a-Z letters, nothing strange.

I checked the PATH variable and this are the relevant folders I think

D:\Program Files\Atom\resources\app\apm\node_modules\atom-package-manager\bin\
D:\Program Files\nodejs\
C:\Program Files (x86)\Git\cmd

apm, git, npm and node all work fine from the command line

EDIT: a clean install of node/npm and Atom seams to have fixed the problem. thank you